1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

News Oculus lowers Rift system requirements

Discussion in 'Article Discussion' started by Gareth Halfacree, 7 Oct 2016.

  1. Gareth Halfacree

    Gareth Halfacree WIIGII! Staff Administrator Super Moderator Moderator

    Joined:
    4 Dec 2007
    Posts:
    12,705
    Likes Received:
    1,975
  2. Stelph

    Stelph Member

    Joined:
    24 Dec 2007
    Posts:
    162
    Likes Received:
    3
    Nice, I wonder if this drop in requirements also applies to using the DK2? Would be a nice cheap way of getting into VR
     
  3. Parge

    Parge the worst Super Moderator

    Joined:
    16 Jul 2010
    Posts:
    12,869
    Likes Received:
    552
    Not sure if the DK2 supports ATW or ASTW but if not it won't. Also, the DK2 really is legacy now, and I'd never really recommend someone pick it up over a second hand CV1.
     
  4. Stelph

    Stelph Member

    Joined:
    24 Dec 2007
    Posts:
    162
    Likes Received:
    3
    They do still work and are supported by a number of games in the oculus store currently, and since they are legacy they are a lot cheaper, but true it probably not likely that it'll support this
     

Share This Page